%define qtinc   %(qmake -query QT_INSTALL_PREFIX)/include
%define qtlib   %(qmake -query QT_INSTALL_PREFIX)/lib

Name:           qwtplot3d
Version:        0.2.7
Release:        1%{?dist}
Summary:        Qt/OpenGL-based C++ library providing a bunch of 3D-widgets for programmers

Group:          System Environment/Libraries
License:        zlib/libpng License
URL:            http://qwtplot3d.sourceforge.net/
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel
BuildRequires:  libXmu-devel

%description
QwtPlot3D is not a  program, but a feature-rich Qt/OpenGL-based C++
programming library, providing essentially a  bunch of 3D-widgets for
programmers

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       qt-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}

#fix line endings
%{__sed} -i 's/\r//' COPYING
find examples -type f | xargs %{__sed} -i 's/\r//'

%{__sed}  -i "s|-fno-exceptions|-fno-exceptions %{optflags} |" qwtplot3d.pro examples/common.pro
%{__sed}  -i "s|0.2.6|%{version}|" qwtplot3d.pro


%build


qmake qwtplot3d.pro
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}

%{__mkdir} -p %{buildroot}%{qtlib}
%{__install} -p -m 0755 lib/libqwtplot3d.so.%{version} %{buildroot}%{qtlib}
ln -s libqwtplot3d.so.%{version} %{buildroot}%{qtlib}/libqwtplot3d.so
ln -s libqwtplot3d.so.%{version} %{buildroot}%{qtlib}/libqwtplot3d.so.0


%{__mkdir} -p %{buildroot}%{qtinc}/qwtplot3d
%{__install} -p -m 0644 include/* %{buildroot}%{qtinc}/qwtplot3d


#cd examples
#qmake
#%{__make} %{?_smp_mflags}
#%{__make} clean
#%{__rm} -rf */Makefile */tmp Makefile


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING
%{qtlib}/libqwtplot3d.so.*


%files devel
%defattr(-,root,root,-)
%doc examples
%{qtinc}/%{name}/
%{qtlib}/libqwtplot3d.so


%changelog
* Mon Jul 30 2007  Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.2.7-1
- New upstream release
- Added optflags to the make process
- fix ownership

* Tue Jan 02 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2.6-2
- Added qt-devel to -devel subpackage requires

* Sun Dec 31 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 0.2.6-1
- Initial RPM release
